var path = require("path");
module.exports = {
  entry: "./src/index.js",
  mode: "production",
  output: {
    path: path.resolve(__dirname, "build"),
    filename: "index.js",
    libraryTarget: "commonjs2",
  },
  module: {
    rules: [
      {
        test: /\.js$|jsx/,
        include: path.resolve(__dirname, "src"),
        exclude: /(node_modules|bower_components|build)/,
        use: "babel-loader",
      },
      {
        test: /\.css$/,
        use: [
          { loader: "style-loader" },
          { loader: "css-loader" },
          { loader: "sass-loader" },
        ],
      },
      {
        test: /\.(jpg|png|gif)$/,

        use: { loader: "url-loader", options: { limit: 25000 } },
      },
    ],
  },
  externals: {
    // this is just to use the React dependency of our parent-testing-project instead of using our own React.
    react: {
      commonjs: "react",
      commonjs2: "react",
      amd: "React",
      root: "React",
    },
    "react-dom": {
      commonjs: "react-dom",
      commonjs2: "react-dom",
      amd: "ReactDOM",
      root: "ReactDOM",
    },
    "react-router-dom": "react-router-dom",
    "@mui/material": "@mui/material",
    "@mui/lab": "@mui/lab",
    "simplebar-react": "simplebar-react",
    "@mui/icons-material": "@mui/icons-material",
  },
};
